CVE-2024-25129

CVSS 3.1 Score 2.7 of 10 (low)

Details

Published Feb 22, 2024
Updated: Feb 23, 2024
CWE ID 611

Summary

CVE-2024-25129 is a vulnerability found in the CodeQL CLI prior to version 2.16.3. The vulnerability is related to an XML External Entity (XXE) attack, where a maliciously modified CodeQL database or specially prepared QL query sources can cause the CLI to make an outgoing HTTP request to a URL containing material chosen by the attacker from a local file. This could lead to a loss of privacy or exfiltration of secrets. Security researchers and QL authors who receive databases or QL source files from untrusted sources may be impacted. To remediate this vulnerability, users should update their CodeQL CLI to version 2.16.3 or later.

Leverage our Vulnerability Intelligence module to secure your systems now - get detailed insights on CVE-2024-37364. Book your demo today.

Share

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2024-25129 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options